petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSSetPreStep

Sets the general-purpose function called once at the beginning of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPreStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

func (TS ts); -

### Note

If a step is rejected, TSStep() will call this routine again before each attempt. The last completed time step number can be queried using TSGetTimeStepNumber(), the size of the step being attempted can be obtained using TSGetTimeStep().

### Keywords

TS, timestep

### See Also

TSSetPreStage(), TSSetPostStage(), TSSetPostStep(), TSStep()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages